Name:          python-sphinxcontrib-htmlhelp
Version:       2.0.0
Release:       1mamba
Summary:       A sphinx extension which renders HTML help files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.sphinx-doc.org/en/master/
Source:        https://pypi.debian.net/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n sphinxcontrib-htmlhelp-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/sphinxcontrib_htmlhelp-%{version}-py*.egg-info
%{python_sitearch}/sphinxcontrib_htmlhelp-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Sat Apr 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-3mamba
- rebuilt with distdeps

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-2mamba
- fix support for multiple python versions build

* Sat Feb 22 2020 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
